Skip to content

Get Evidence

Request

Retrieves the evidence for an investigation.

Operation ID: siem_get_evidence

Security
BearerAuth
Path
idstringrequired

ID of the investigation to retrieve evidence for.

Query
metaArray of strings

Add metadata to the response by invoking meta functions. Documentation for meta functions is available. Not all meta functions are available at every endpoint.

include_raw_databoolean or null

Include the raw data from the SIEM in the response. Defaults to false.

curl
curl -i -X GET \
  'https://api.synqly.com/v1/siem/investigations/{id}/evidence' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Bodyapplication/json
resultobject(Evidence)required

List of evidence associated with an investigation

messagesobject or null(MessagesResponse)

Additional messages from the service response that may be helpful to the client.

metaobject or null(MetaResponse)

Various metadata about the results organized by group, then type, then field.

Response
{ "result": { "investigation_id": "string", "raw_data": "string" }, "messages": { "problems": [ … ] }, "meta": { "stats": { … }, "api": { … }, "mapping": { … } } }